<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8" />
  <title>Game survey</title>
  <link rel="stylesheet" href="css.css">
</head>
<body>
	<hgroup>
		<h1>Board games CSCI 311 Spring 2013</h1>
		<h2>User experience survey</h2>
	</hgroup>
	<form method="POST" action="survey.php">
		<p><label for="reviewer">My name (anonymous):</label>
			<select name="reviewer">
				<option>ABDULLAH</option>
				<option>AMANPREET</option>
				<option>ANDREW</option>
				<option>ASMITA</option>
				<option>BRANDON</option>
				<option>CONNOR</option>
				<option>DAVID</option>
				<option>DYLAN</option>
				<option>GURLEEN</option>
				<option>HONGDA</option>
				<option>JESSICA</option>
				<option>KEVIN</option>
				<option>LINDEN</option>
				<option>LOCHLIN</option>
				<option>MARIUS</option>
				<option>MATHIEU</option>
				<option>MATTHEW</option>
				<option>MATTHIAS</option>
				<option>NICOLE</option>
				<option>WENLI</option>
				<option>ZAC</option>
				<option>ZIJIAN</option>
			</select>
		</p>
		<p>First, open each game link in a separate tab.Try to play and think which one of two gives you a better user experience. Ignore logins and score tables (they were a required part of the assignment). With each comparison, rearrange tabs to have first 8 places ready.
		Assign top 8 places to your preferred games. You do not have to assign all 8. If you like, provide some friendly comments on how to improve each application.
		</p>
<?php
	$names = file("names.txt", FILE_IGNORE_NEW_LINES); 
	$games = file("games.txt", FILE_IGNORE_NEW_LINES); 
?>

		<ul>
<?php
	for ($i = 0; $i < count($names); $i++)  {
		$name = $names[$i];
		$game = $games[$i];
?>
			<li> 
				<p><strong><?= $game ?> </strong>: <a href="http://owl.csci.viu.ca/~barskym/php/games/<?= $name ?>">link</a>.
					<select name="<?= $name ?>">
						<option value="0">--------</option>
						<option value="1">1st place</option>
						<option value="2">2nd place</option>
						<option value="3">3rd place</option>
						<option value="4">4th place</option>
						<option value="5">5th place</option>
						<option value="6">6th place</option>
						<option value="7">7th place</option>
						<option value="8">8th place</option>			
					</select>
				</p>
				<p>	<textarea id="<?= $name ?>comments" name="<?= $name ?>comments" cols="25" rows="5">Your comments here</textarea></p>
			</li>
<?php
	}
?>			
		</ul>
		<input type="submit" value="Submit opinion"/>
  </form>
</select>
</body>
</html>