var Table_2_moves = 0;
var Table_2_Table, rows_tb2, cols_tb2;

//global variables
function Start_Table_2() {
    Table_2_moves = 0;
    document.getElementById("Table_2_moves").innerHTML = Table_2_moves;
    
    rows_tb2 = document.getElementById("rows_tb2").value;
    if (isNaN(rows_tb2) || rows_tb2 < 0) { rows_tb2 = 4; }
    else { rows_tb2 = Math.round(document.getElementById("rows_tb2").value); }
    document.getElementById("rows_tb2").value = rows_tb2;
    
    cols_tb2 = document.getElementById("cols_tb2").value;
    if (isNaN(cols_tb2) || cols_tb2 < 0) { cols_tb2 = 4; }
    else { cols_tb2 = Math.round(document.getElementById("cols_tb2").value); }
    document.getElementById("cols_tb2").value = cols_tb2;
    
    Table_2_Table = document.getElementById("Table_2_Table");
    while (Table_2_Table.rows.length > 0) {
        Table_2_Table.deleteRow(0);
    }
    var n = (rows_tb2 * cols_tb2) - 1;// number of row and columns minus 1 for the empty space
    
    var Board_size_tb2 = new Array();
    for (var i = 1; i <= n; i++) {
        Board_size_tb2.push(i);
    }
    var counter = 1;
    
    while (counter % 2 == 1) {
        Board_size_tb2 = Shuffle_tb2(Board_size_tb2);
        
        
        counter = 0;
        for (var i = 0; i < Board_size_tb2.length; i++) {
            for (var j = i; j < Board_size_tb2.length; j++) {
                if (Board_size_tb2[i] > Board_size_tb2[j])
                    counter++;
            }
        }
    }
    
    n = 0;
    for (var i = 0; i < rows_tb2; i++) {
        Table_2_Table.insertRow(i);
        var tr = Table_2_Table.rows[i];
        for (var j = 0; j < cols_tb2; j++) {
            tr.insertCell(j);
            var td = tr.cells[j];
            td.className = "cell";
            if (i == rows_tb2 - 1 && j == cols_tb2 - 1)
                td.innerHTML = "";
            else
                td.innerHTML = "<BOARD_2 id='b2" + Board_size_tb2[n] + "' class='number_table2' onclick='Move_tb2(this)'>" + Board_size_tb2[n] + "</BOARD_2>";
            
            n++;
        }
    }
}

function Move_tb2(tile)  {
    //Get the td
    var cell = GetCell(tile);
    var row = GetRow(cell);
    var Row_index = row.rowIndex;
    var Cell_index = cell.cellIndex;
    var emptycell;
    
    if (Row_index > 0 && emptycell == null)
    {
        if (IsCellEmpty_tb2(Table_2_Table.rows[Row_index - 1].cells[Cell_index]))
        { emptycell = Table_2_Table.rows[Row_index - 1].cells[Cell_index]; }
    }
    if (Row_index < Table_2_Table.rows.length - 1 && emptycell == null)
    {
        if (IsCellEmpty_tb2(Table_2_Table.rows[Row_index + 1].cells[Cell_index]))
        { emptycell = Table_2_Table.rows[Row_index + 1].cells[Cell_index]; }
    }
    if (Cell_index > 0 && emptycell == null)
    {
        if (IsCellEmpty_tb2(Table_2_Table.rows[Row_index].cells[Cell_index - 1]))
        { emptycell = Table_2_Table.rows[Row_index].cells[Cell_index - 1]; }
    }
    if (Cell_index < row.cells.length - 1 && emptycell == null)
    {
        if (IsCellEmpty_tb2(Table_2_Table.rows[Row_index].cells[Cell_index + 1]))
        { emptycell = Table_2_Table.rows[Row_index].cells[Cell_index + 1]; }
    }
    
    if (emptycell == null) {
    // do nothing
    }
    
    else {
        DOM_Switch(tile, emptycell);
        Table_2_moves++;
        document.getElementById("Table_2_moves").innerHTML = Table_2_moves;
        
        Winner_Check_Table_2();
    }
}

function Winner_Check_Table_2()
{
    var Winner_inorder1 = document.getElementsByTagName("BOARD_2");
    var Winner = true;
    for (var i = 0; i < Winner_inorder1.length - 1; i++) {
        var n = parseInt(trim_tb2(Winner_inorder1[i].innerHTML));
        var n1 = parseInt(trim_tb2(Winner_inorder1[i + 1].innerHTML));
        if (n + 1 != n1) {
            Winner = false;
            break;
        }
    }
    if (Winner && IsCellEmpty_tb2(Table_2_Table.rows[Table_2_Table.rows.length - 1].cells[cols_tb2 - 1])) {
        alert("Good job "+ document.getElementById("p2").value +", it took " + Table_2_moves + " moves to complete the puzzle!!");
    }
}

function Shuffle_tb2(board_piece) {
    for (var z, x, i = board_piece.length; i;
         z = parseInt(Math.random() * i),
         x = board_piece[--i],
         board_piece[i] = board_piece[z],
         board_piece[z] = x);
    return board_piece;
}

function IsCellEmpty_tb2(cell) {
    for (var i = 0; i < cell.childNodes.length; i++) {
        if (cell.childNodes[i].className == "number_table2") {
            return false;
        }
    }
    return true;
}


function trim_tb2(str) {
    str = str.replace(/^\s+/, '');
    for (var i = str.length - 1; i >= 0; i--) {
        if (/\S/.test(str.charAt(i))) {
            str = str.substring(0, i + 1);
            break;
        }
    }
    return str;
}



function GetCell(cell) {
        var get = cell.parentNode;
        while (get.tagName != 'TD') {
            get = get.parentNode;
        }
        return get;
    }
   

function load() {
    document.getElementById("Player_1").innerHTML = "<span style='color:red'>" + //player 1
    document.getElementById("p1").value + "</span>";
    document.getElementById("Player_2").innerHTML = "<span style='color:blue'>" + //player 2
    document.getElementById("p2").value + "</span>";
    document.getElementById("p1").disabled=true;
    document.getElementById("p2").disabled=true;
    document.getElementById("enter").disabled=true;
    
}
function disapear_like_magic()
{
    document.getElementById("user_information").style.display = 'none';
}

