function Player(playerName){
	this.score = 0;
	this.playerName = playerName;
	this.currentGameMines = 0;
	this.minesFound = 0;
	this.gamesPlayed = 0;
	this.gamesWon = 0;
	this.gamesLeft = 0;

	this.calcScore = function(){
		this.score = ((this.gamesWon/this.gamesPlayed)*10);
	};
	this.newGame = function(){
	//resets stats at the start of each game due to how stats must be
		this.currentGameMines = 0;
		this.minesFound = 0;
		this.gamesPlayed = 0;
		this.gamesWon = 0;
		this.gamesLeft = 0;
	};
	this.addMine = function(){
		this.currentGameMines++;
		this.minesFound++;
	};
	this.gameWon = function(){
		this.gamesWon++;
		this.gamesPlayed++;
	};
	this.gameLost = function(){
		this.gamesPlayed++;
	};
	this.gameLeft = function(){
		this.gamesLeft++;
		this.gamesPlayed++;
	};
	this.getMinesFound = function(){
		return this.currentGameMines;
	};
	this.addPlayerStats = function(pl){
	//adds the player stats of another player object to this object
	//recalculates score
		this.minesFound += pl.minesFound;
		this.gamesPlayed += pl.gamesPlayed;
		this.gamesWon += pl.gamesWon;
		this.gamesLeft += pl.gamesLeft;
		this.score = ((this.gamesWon / this.gamesPlayed) * 10);
	};
	
}


