//LOCAL STORAGE PLAYER STAT SAVING / RETRIEVING FUNCTIONS
function savePlayer(player) {
	var playerStatsArray = getStoreArray("BMSPlayerStats");
	for (var i = 0; i < playerStatsArray.length; i++){
		if (player.playerName === playerStatsArray[i].playerName){
			player.addPlayerStats(playerStatsArray[i]);
			playerStatsArray[i] = player;
			localStorage.setItem("BMSPlayerStats", JSON.stringify(playerStatsArray));
			return;
		}
	}
	player.calcScore(); //only one game has been played so the score must be calculated before storing the player
	playerStatsArray.push(player);
	localStorage.setItem("BMSPlayerStats", JSON.stringify(playerStatsArray));
}

function loadPlayerList() {
	playerArray = getStoreArray("BMSPlayerStats");
	return playerArray;
}

function getStoreArray(key) {
	var playerStatsArray = localStorage.getItem(key);
	if (!playerStatsArray) {
		playerStatsArray = new Array();
	} else {
		playerStatsArray = JSON.parse(playerStatsArray);
	}
	return playerStatsArray;
}
