function Storage (gameName) {
   this.gameName = gameName;

   Storage.prototype.getGameStats = function() {
      var statsObj = localStorage.getItem(this.gameName);
      if(! statsObj) {
         statsObj = {};
      } else {
         statsObj = JSON.parse(statsObj);
      }
      return statsObj;
   };
   
   Storage.prototype.saveGameStats= function(statsObj) {
      localStorage.setItem(this.gameName, JSON.stringify(statsObj));
   };
};
      