///////////////////////////////////////////////
//
//  images.js
//  Kevin Ackeral
//
//  This file contains a class that can be used
//  to access images for the card matching game
//
///////////////////////////////////////////////

const FACE_NUM = 12;//this is the number of faces, the card back is assumed to exist

var images = 
{
    card: [],
    load: function()
    {
        var backimg = new Image();
        backimg.src = "images/card_back.png";
        this.card.push(backimg);
        
        
        for(var i = 0; i < FACE_NUM; i++)
        {
            var img = new Image();
            img.src = "images/card_"+(i+1).toString()+".png";
            this.card.push(img);

        }
    }
};

images.load();