function player(id, name, color) {
	this.id = id;
	this.name = name;
	this.color = color;
	this.wins = 0;
	this.turn = false;
	this.changeTurn = function() {
		if (this.turn == false) {
			this.turn = true;
			return;
		}
		this.turn = false;
		return;
	}
	this.updateInfo = function() {
		var pInfo = document.getElementById("playerInfo");

		var row = document.createElement("tr");
		
		var td1 = document.createElement("td");
		td1.innerHTML = this.name;
		var td2 = document.createElement("td");
		td2.innerHTML = "<" + this.color + ">" + this.color + "</" + this.color + ">";
		var td3 = document.createElement("td");
		
		row.appendChild(td1);
		row.appendChild(td2);
		
		pInfo.appendChild(row);
	}

}

function playerManager() {
	this.playerCount;
	var players = [];
	var id = 0;
	var turn;
	var colors = {
		"Red" : false,
		"Blue" : false,
		"Green" : false,
		"Yellow" : false
	}
	this.pass;
	this.getNum = function() {
		return players.length;
	}
	this.addPlayer = function(name, color) {
		if (players.length < 4) {
			colors[color] = true;
			players.push(new player(id, name, color));
			id++;
			if (players.length == 1) {
				players[0].changeTurn();
			}

			var list = document.getElementById("colorList");
			while(list.hasChildNodes()) {
				list.removeChild(list.firstChild);
			}
		    
			this.populateRemainingColors();
			this.clearTable();
			this.updateTable();
		}
		else 
			alert("Maximum number of players is 4");
	}
	this.getTurn = function() {
		for (var i=0; i < players.length; i++) {
			if (players[i].turn == true)
				return players[i].color;
		}
	}
	this.passTurn = function() {
		for (var i=0; i < players.length; i++) {
			if (players[i].turn == true) {
				players[i].turn = false;
				var num = i + 1;
				num = num % players.length;
				players[num].turn = true;
				return;
			}
		}
	}
	this.updateTable = function() {
		for (var i=0; i < players.length; i++) {
			players[i].updateInfo();
		}
	}
	this.populateRemainingColors = function() {
		var list = document.getElementById("colorList");
		for (c in colors) {
			if (colors[c] == false) {
				var option = document.createElement("option");
				option.value = c;
				option.innerHTML = c;
				list.appendChild(option);
			}
		}
	}
	this.clearTable = function() {
		var pInfo = document.getElementById("playerInfo");
		while (pInfo.hasChildNodes()) {
			pInfo.removeChild(pInfo.firstChild);	
		}	
	}

	
}
