/*
 * Game Piece functionality
 */
function Disc(x, y, colour) {
    this.radius = 40;
    this.x = x;
    this.y = y;
    this.colour = colour;
    this.canDrag = true;
    
    // determine where to place disc and move it to that position
    this.drop = function() {
        bCol = Math.round((this.x/100) - 1);
        bRow = null;

        if (bCol < 7) {           // >= 7 means piece is not over a slot 
            for (var row=5;row>=0;row--) {  // start at bottom and work upwards
                if (game.board.slots[bCol][row] === null) {
                    this.canDrag = false;
                    game.board.slots[bCol][row] = this;
                    renderer.animatePiece(this,((bCol+1)*100),(row+2)*100);
                    return new Array(bCol,row);
                }
            }
        }
        
        if (bRow === null) {      // there are no more empty slots
            renderer.animatePiece(this,830,60);
            return false;
        }
    };
}
