/* 
 * Game Initialisation
 */
function init() {
    // initiliaze renderer
    this.renderer = new Renderer();
    // start new game
    this.game = new Game();
    // game storage
    this.storage = new Storage();
    // render game
    this.renderer.render(this.game);
}

/* 
 * Mouse Events
 */
// mouse movement
function myMove(event) {
    canvas = document.getElementById("discCanvas");
    if (canvas.canDrag === true) {
        restrictY = 60;
        restrictXL = 100;
        restrictXH = 830;
        mx = event.pageX - canvas.offsetLeft;
        my = event.pageY - canvas.offsetTop;

        if (my < restrictY || my > restrictY)
            my = restrictY;
        if (mx < restrictXL)
            mx = restrictXL;
        if (mx > restrictXH)
            mx = restrictXH;

        disc.x = mx;
        disc.y = my;
        renderer.renderPiece(game.disc);
    }
}

// mouse button released
function myUp() {
    canvas = document.getElementById("discCanvas");
    if (canvas.canDrag === true) {
        canvas.canDrag = false;
        canvas.onmousemove = null;
        dropped = game.disc.drop();

        if (dropped) {
            var tie = game.checkTie(dropped);
            var win = game.checkWin(dropped);
            
            if ((win === false) && (tie === false))
                game.disc = game.nextTurn();
        }
        renderer.render(game);
    }
}

// mouse button pressed
function myDown(event) {
    x = disc.x;
    y = disc.y;
    canvas = document.getElementById("discCanvas");

    if (event.pageX < x + 50 + canvas.offsetLeft 
            && event.pageX > x - 50 + canvas.offsetLeft 
            && event.pageY < y + 50 + canvas.offsetTop 
            && event.pageY > y -50 + canvas.offsetTop) {
        if (disc.canDrag === true) {
            x = event.pageX - canvas.offsetLeft;
            y = event.pageY - canvas.offsetTop;
            canvas.onmousemove = myMove;
            canvas.canDrag = true;
        }
    }
}
