function Game(localStorageConnection) {
   var self = this;
   self.renderer = null;
   self.board = null;
   self.currentPlayer = 1;
   self.players = new Array();
   self.lastMove = { row: -1, column: -1 };
   self.localStorageConnection = localStorageConnection
   self.Status = { row:-1, Gamestate:"Playing" };


   this.init = function () {

      self.board = new Board();
      self.board.init(7, 7);

      self.players[0] = new Player();
      self.players[0].id = 1;
      self.players[0].colour = 'red';
      self.players[0].update();

      self.players[1] = new Player();
      self.players[1].id = 2;
      self.players[1].colour = 'yellow';
      self.players[1].update();

      self.renderer = new Renderer();
      self.renderer.init(self);
   }

   // updatePlayerNames allows Names to be updated during gameplay
   this.updatePlayerNames = function () {
      self.players[0].update();
      self.players[1].update();
   }

   this.reset = function () {
   
      if(self.Status.Gamestate == "Playing")
      {
         if(self.currentPlayer == 1)
         {
            self.localStorageConnection.addEntry(self.players[0].playername , self.players[1].playername , self.players[0].playername + " By Forfeit of Opponent" , self.players[0].playername);
         }
         
         else
         {
            self.localStorageConnection.addEntry(self.players[0].playername , self.players[1].playername , self.players[1].playername+ " By Forfeit of Opponent", self.players[1].playername);
         }

      
      }
   
      self.updatePlayerNames();
      self.board.clearBoard();
      self.renderer.canvas.clearRect(0, 0, self.renderer.canvas.canvas.width, self.renderer.canvas.canvas.height);
      self.renderer.redrawGrid();
      self.renderer.redrawPieces();
      self.renderer.animationInProgress = false;
   }
}
