function pick(ispickone,x,y){
	this.ispickone=ispickone;
	this.x=x;
	this.y=y;
}

function init(){
	clearall();
//defind a new two-dimensional array to storage board information,0:nobody,1:white,2:black.
	var chessdata=new Array();
	for (var x=0;x<7;x++){
		chessdata[x]=new Array();
		for (var y=0;y<7;y++){
			chessdata[x][y] = 0;
		}
	}
	save(chessdata);
	
//To remember info about choosen piece
	var pickup=new pick;
	pickup['ispickone']=false;pickup['x']=0;pickup['y']=0;
	savepick(pickup);

//init turn (1 first)	
	saveturn(1);
	alertturn(1);
	
//draw pieces and board
	var ctx=document.getElementById('board').getContext('2d');
	ctx.clearRect(0,0,450,450);
	drawboard();
	drawchess(1,0,4);drawchess(1,1,4);drawchess(1,2,4);drawchess(1,3,4);drawchess(1,4,4);
	drawchess(2,0,0);drawchess(2,1,0);drawchess(2,2,0);drawchess(2,3,0);drawchess(2,4,0);
	
	var playerlist=getplayer();
	if (playerlist){
		for (var i in playerlist)
			inserttable(playerlist[i].playername,playerlist[i].played,playerlist[i].won,playerlist[i].left,playerlist[i].rank);
	}
}

function drawboard(){
	var ctx=document.getElementById('board').getContext('2d');
	ctx.strokeStyle="rgba(0,0,0,1)";
	ctx.beginPath();
	ctx.strokeRect(25,25,400,400);
	ctx.strokeRect(25,25,400,400);
	ctx.moveTo(25,125);
	ctx.lineTo(425,125);
	ctx.moveTo(25,225);
	ctx.lineTo(425,225);
	ctx.moveTo(25,325);
	ctx.lineTo(425,325);
	ctx.moveTo(125,25);
	ctx.lineTo(125,425);
	ctx.moveTo(225,25);
	ctx.lineTo(225,425);
	ctx.moveTo(325,25);
	ctx.lineTo(325,425);
	ctx.stroke();ctx.stroke();
}

function drawchess(chess,x,y){
	var chessdata=getdata();
	var ctx=document.getElementById('board').getContext('2d');
	ctx.strokeStyle="rgba(0,0,0,1)";
	var imagew=new Image();
	imagew.src='image/white.png';
	var imageb=new Image();
	imageb.src='image/black.png';
	if (x>=0 && x<5 && y>=0 && y<5){
		switch (chess){
			case 1:
				ctx.drawImage(imagew,x*100+7,y*100+7);
				chessdata[x][y]=1;
				save(chessdata);
				break;
			case 2:
				ctx.drawImage(imageb,x*100+7,y*100+7);
				chessdata[x][y]=2;
				save(chessdata);
				break;
		}
	}
}

function reDrawPlease(){
	var chessdata=getdata();
	var ctx=document.getElementById('board').getContext('2d');
	ctx.clearRect(0,0,450,450);
	drawboard();
	for (var x =0;x<5;x++){
		for (var y=0;y<5;y++){
			drawchess(chessdata[x][y],x,y);
		}
	}


}

function save(data){
	localStorage.setItem('boardinfo',JSON.stringify(data));
}

function getdata(){
	var chessdata=localStorage.getItem('boardinfo');
	chessdata=JSON.parse(chessdata);
	return chessdata;
}

function saveturn(t){
	localStorage.setItem('turn',JSON.stringify(t));
}

function getturn(){
	var turn=localStorage.getItem('turn');
	turn=JSON.parse(turn);
	return turn;
}

function savepick(pickup){
	localStorage.setItem('pickupinfo',JSON.stringify(pickup));
}

function getpick(){
	var pickup=localStorage.getItem('pickupinfo');
	pickup=JSON.parse(pickup);
	return pickup;
}

function display(event){
	x=event.clientX;
	y=event.clientY;
	p=document.getElementById('coordinate');
	p.innerHTML='Coordinate: '+x+' '+y;
}

function clearit(){
	p=document.getElementById('coordinate');
	p.innerHTML="";
}

function drawfocus(x,y){
	x=x*100+1.5;
	y=y*100+0.5;
	var ctx=document.getElementById('board').getContext('2d');
	ctx.beginPath();
	
	ctx.moveTo(x,y);
	ctx.lineTo(x+12,y);
	ctx.moveTo(x,y);
	ctx.lineTo(x,y+12);
	
	ctx.moveTo(x+35,y);
	ctx.lineTo(x+47,y);
	ctx.lineTo(x+47,y+12);
	
	ctx.moveTo(x,y+35);
	ctx.lineTo(x,y+47);
	ctx.lineTo(x+12,y+47);
	
	ctx.moveTo(x+47,y+47);
	ctx.lineTo(x+47,y+35);
	ctx.moveTo(x+47,y+47);
	ctx.lineTo(x+35,y+47)

	ctx.stroke();
}

function alertturn(t){
	if (t==1) {
		document.getElementById('whosturn').innerHTML='White'+"'s "+ 'turn'; 
	}
	else{
		document.getElementById('whosturn').innerHTML='Black'+"'s "+ 'turn';
	}
}