function play(event){
	var boardplace=document.getElementById('board');
	var yyy=getTop(boardplace);
	var xxx=getLeft(boardplace);
	var chessdata=getdata();
	var x=parseInt((event.clientX-xxx+38)/100);
	var y=parseInt((event.clientY-yyy+38)/100);
	var turn=getturn();
	var pickup=getpick();
	if (chessdata[x][y]==turn && !pickup['ispickone']){
		drawfocus(x,y);
		pickup['ispickone']=true;
		pickup['x']=x;pickup['y']=y;
		savepick(pickup);
	}
	if (pickup['ispickone'] && chessdata[x][y]==0){
		if (isadjacent(x,y)){
			var xx=pickup['x'],yy=pickup['y'];
			chessdata[x][y]=chessdata[xx][yy];
			chessdata[pickup['x']][pickup['y']]=0;
			pickup['ispickone']=false;
			switch (turn) {
				case 1:
					turn=2;
					alertturn(2);
					break;
				case 2:
					turn=1;
					alertturn(1);
					break;
			}
			save(chessdata);
			saveturn(turn);
			savepick(pickup);
			reDrawPlease();
			determineKill(x,y);
			reDrawPlease();
			judge();
		}
/*		else{
			pickup['ispickone']=false;
			savepick(pickup);
			reDrawPlease();
		}*/
	}
	var xx=pickup['x'],yy=pickup['y'];
	if (pickup['ispickone'] && chessdata[x][y]==chessdata[xx][yy]){
		reDrawPlease();
		drawfocus(x,y);
		pickup['ispickone']=true;
		pickup['x']=x;pickup['y']=y;
		savepick(pickup);
	}
	
}

function determineKill(x,y){
	var chessdata=getdata();
	var amount_x=0,amount_y=0;
	var shouldbekilled=0;
	switch (chessdata[x][y]){
		case 1:
			shouldbekilled=2;
			break;
		case 2:
			shouldbekilled=1;
			break;
	}
//determine protecter issue
	for (var i=0;i<5;i++){
		if (chessdata[x][i]==1||chessdata[x][i]==2){
			amount_x++;
		}
		if (chessdata[i][y]==1||chessdata[i][y]==2){
			amount_y++;
		}
	}
	
//determine killable
	if (amount_x==3 && chessdata[x][y]==chessdata[x][y+1]){
		if (chessdata[x][y-1]==shouldbekilled){
			chessdata[x][y-1]=0;
			save(chessdata);
			return;
		}
		if (chessdata[x][y+2]==shouldbekilled){
			chessdata[x][y+2]=0;
			save(chessdata);
			return;
		} 
	}
	
	if (amount_x==3 && chessdata[x][y]==chessdata[x][y-1]){
		if (chessdata[x][y+1]==shouldbekilled){
			chessdata[x][y+1]=0;
			save(chessdata);
			return;
		}
		if (chessdata[x][y-2]==shouldbekilled){
			chessdata[x][y-2]=0;
			save(chessdata);
			return;
		} 
	}
	if (amount_y==3 && chessdata[x][y]==chessdata[x+1][y]){
		if (chessdata[x+2][y]==shouldbekilled){
			chessdata[x+2][y]=0;
			save(chessdata);
			return;
		}
		if (chessdata[x-1][y]==shouldbekilled){
			chessdata[x-1][y]=0;
			save(chessdata);
			return;
		}		
	}
	if (amount_y==3 && chessdata[x][y]==chessdata[x-1][y]){
		if (chessdata[x+1][y]==shouldbekilled){
			chessdata[x+1][y]=0;
			save(chessdata);
			return;
		}
		if (chessdata[x-2][y]==shouldbekilled){
			chessdata[x-2][y]=0;
			save(chessdata);
			return;
		} 
	}
	

}

function isadjacent(x,y){
	var pickup=getpick();
	var chessdata=getdata();
	xx=pickup['x'];yy=pickup['y'];
	if (y==yy && (x==xx+1 || x==xx-1)){
		return true;
	}
	if (x==xx && (y==yy+1 || y==yy-1)){
		return true;
	}
	return false;
}

//determine winner
function judge(){
	var playerlist=getplayer();
	var chessdata=getdata();
	var white_amount=0;
	var black_amount=0;
	for (var x=0;x<5;x++){
		for (var y=0;y<5;y++){
			switch (chessdata[x][y])
			{
			case 1:
				white_amount++;
				break;
			case 2:
				black_amount++;
				break;
			}
		}
	}
	if (white_amount==1){
		alert('black win!');
		var len=playerlist.length;
		for (var i =0;i<len;i++){
			if (playerlist[i].nowplayer){
				var num=i;
			}
		}
		if (typeof(num)!=='undefined'){
			playerlist[num].played++;
			saveplayer(playerlist);
			rankplayer(num);
		}
		init();
	}
	if (black_amount==1){
		alert('white win!');
		var len=playerlist.length;
		for (var i =0;i<len;i++){
			if (playerlist[i].nowplayer){
				var num=i;
			}
		}
		if (typeof(num)!=='undefined'){
			playerlist[num].played++;
			playerlist[num].won++;
			saveplayer(playerlist);
			rankplayer(num);
		}
		init();
	}
}

function restartit(){
	var playerlist=getplayer();
	var num=0;
	var len=playerlist.length;
	for (var i =0;i<len;i++){
		if (playerlist[i].nowplayer){
			num=i;
		}
	}
	playerlist[num].left++;
	playerlist[num].played++;
	saveplayer(playerlist);
	rankplayer(num);
	init();
}