    var Table_Table, rows, Columns;
    //global variables
    
    function Start() {
   		moves = 0;
   		document.getElementById("moves").innerHTML = moves;

        rows = document.getElementById("rows").value;
        if (isNaN(rows) || rows < 0) { rows = 4; }
        else { rows = Math.round(document.getElementById("rows").value); }
        document.getElementById("rows").value = rows;

        Columns = document.getElementById("Columns").value;
        if (isNaN(Columns) || Columns < 0) { Columns = 4; }
        else { Columns = Math.round(document.getElementById("Columns").value); }
        document.getElementById("Columns").value = Columns;

        Table_Table = document.getElementById("Table_Table");
        while (Table_Table.rows.length > 0) {
            Table_Table.deleteRow(0);
        }
         
         
        var n = (rows * Columns) - 1; // number of row and columns minus 1 for the empty space
        var Board_size = new Array();
        for (var i = 1; i <= n; i++) {
            Board_size.push(i);
        }
        var counter = 1;

            while (counter % 2 == 1) {
            Board_size = Shuffle(Board_size);
            counter = 0;
            for (var i = 0; i < Board_size.length; i++) {
                for (var j = i; j < Board_size.length; j++) {
                    if (Board_size[i] > Board_size[j])
                        counter++;
                }
            }
        }

        n = 0;
        for (var i = 0; i < rows; i++) {
            Table_Table.insertRow(i);
            var tr = Table_Table.rows[i];
            for (var j = 0; j < Columns; j++) {
                tr.insertCell(j);
                var td = tr.cells[j];
                td.className = "cell";
                
                if (i == rows - 1 && j == Columns - 1)
                    td.innerHTML = "";
                else
                    td.innerHTML = "<BOARD_1 id='n" + Board_size[n] + "' class='num' onclick='Move_Tiles(this)'>" + Board_size[n] + "</BOARD_1>";

                n++;
            }
        }
    }

    function Move_Tiles(tile) {
        //Get the td
        var cell = GetCell(tile);
        var row = GetRow(cell);
        var Row_index = row.rowIndex;
        var Cell_index = cell.cellIndex;
        var emptycell;
        

        if (Row_index > 0 && emptycell == null) 
        {
            if (IsCellEmpty(Table_Table.rows[Row_index - 1].cells[Cell_index])) 
            { emptycell = Table_Table.rows[Row_index - 1].cells[Cell_index]; }
        }
        if (Row_index < Table_Table.rows.length - 1 && emptycell == null)
         {
            if (IsCellEmpty(Table_Table.rows[Row_index + 1].cells[Cell_index]))
             { emptycell = Table_Table.rows[Row_index + 1].cells[Cell_index]; }
        }
        if (Cell_index > 0 && emptycell == null) 
        {
            if (IsCellEmpty(Table_Table.rows[Row_index].cells[Cell_index - 1])) 
            { emptycell = Table_Table.rows[Row_index].cells[Cell_index - 1]; }
        }
        if (Cell_index < row.cells.length - 1 && emptycell == null) 
        {
            if (IsCellEmpty(Table_Table.rows[Row_index].cells[Cell_index + 1])) 
            { emptycell = Table_Table.rows[Row_index].cells[Cell_index + 1]; }
        }

        if (emptycell == null) {
               // do nothing
        }
        else {
            DOM_Switch(tile, emptycell);
            moves++;
            document.getElementById("moves").innerHTML = moves;
            Winner_Check();
        }
    }

    function Winner_Check() {
        var Winner = true;
        var Winner_inorder = document.getElementsByTagName("BOARD_1");
        
        for (var i = 0; i < Winner_inorder.length - 1; i++) {
            var n = parseInt(trim(Winner_inorder[i].innerHTML));
            var n1 = parseInt(trim(Winner_inorder[i + 1].innerHTML));
            	if (n + 1 != n1) {
               		 Winner = false;
               		 break;
            }
        }
        	if (Winner && IsCellEmpty(Table_Table.rows[Table_Table.rows.length - 1].cells[Columns - 1])) {
            		alert("Good job "+ document.getElementById("p1").value +", it took " + moves + " moves to complete the puzzle!!");
        }
    }
     
  function Shuffle(table_pos) {
        for (var z, x, i = table_pos.length; i; 
            z = parseInt(Math.random() * i),
            x = table_pos[--i], 
            table_pos[i] = table_pos[z], 
            table_pos[z] = x);
                return table_pos;
    }

    function IsCellEmpty(cell) {
        for (var i = 0; i < cell.childNodes.length; i++) {
            if (cell.childNodes[i].className == "num") {
                return false;
            }
        }
        return true;
    }

    function GetRow(row) {
        var get = row.parentNode;
        while (get.tagName != 'TR') {
            get = get.parentNode;
        }
        return get;
    }

    function trim(str) {
        str = str.replace(/^\s+/, '');
        for (var i = str.length - 1; i >= 0; i--) {
            if (/\S/.test(str.charAt(i))) {
                str = str.substring(0, i + 1);
                break;
            }
        }
        return str;
    }

    function DOM_Switch(Switch1, Switch2) {
        var Switch1_top ;
        Switch1_top= Switch1.parentNode;
        Switch1_top.removeChild(Switch1);
        Switch2.appendChild(Switch1);
    }
