/**********************************************************************
*
* Writes a static board onto the screen
*    
**********************************************************************

function doStuff()
{
    // get the canvas element
    var canvasElem = document.getElementById("gameCanvas");
    var context = canvasElem.getContext("2d");
    
    var spaceWidth = canvasElem.width/8;
    var row = -1*spaceWidth;
    var alt = 1;
    
    // draw the pieces
    for (var i = 0; i < 2; i++) {
        // determine where to place the first piece
        var firstPiece = 0;
        if (i == 0) {
            alt = 1;
            row = (-1*spaceWidth)+(spaceWidth/2);
        }
        else {
            alt = -1;
            row = (spaceWidth*4)+(spaceWidth/2);
        }
        for (var j = 0; j < 12; j++) {
            // get the colour of the piece
            if (i == 0) {
                context.fillStyle = "rgba(255,255,255,1)";
            }
            else {
                context.fillStyle = "rgba(0,0,0,1)";
            }
            
            // move the row down
            if (j % 4 == 0) {
                row += spaceWidth;    
                if (alt == 1) {
                    firstPiece = (spaceWidth/2)+ spaceWidth;                
                }            
                else {
                    firstPiece = (spaceWidth/2);
                }
                alt *= -1;
            }
            
            // draw the piece
            context.beginPath();
            context.arc(2*(j%4)*spaceWidth+firstPiece,row,(spaceWidth/2)-10,0, Math.PI*2, true);
            context.closePath();
            context.fill();
            
        } 
    }
    
    
    /*
    context.fillStyle = "rgba(255,0,0,0.5)";
    context.fillRect(0,0,200,200);
    context.fillStyle = "rgba(0,0,255,0.5)";
    context.fillRect(200,200,200,200);
    context.fillStyle = "rgba(255,0,255,0.5)";
    context.fillRect(200,0,200,200);
    context.fillStyle = "rgba(255,255,0,0.5)";
    context.fillRect(0,200,200,200);
    context.fillStyle = "rgba(0,255,0,0.5)";
    context.fillRect(100,100,200,200);
    
    context.fillStyle = "rgba(255,255,255,1)";
    context.beginPath();
    context.arc(100,50,50,0, Math.PI*2, true);
    context.closePath();
    context.fill();
    context.lineWidth = 3;
    context.strokeStyle = "rgba(0,0,0,1)";
    context.stroke();
    
    context.beginPath();
    context.moveTo(100,100);
    context.lineTo(100,250);
    context.stroke();
    
    context.beginPath();
    context.moveTo(100,249);
    context.lineTo(0,400);
    context.stroke();
    
    context.beginPath();
    context.moveTo(100,249);
    context.lineTo(200,400);
    context.stroke();
    
    context.beginPath();
    context.moveTo(100,115);
    context.lineTo(0,200);
    context.stroke();
    
    context.beginPath();
    context.moveTo(100,115);
    context.lineTo(200,200);
    context.stroke();
    alert("Did it");
}
    */
