function Paddle()
{
	this.x = 0;
	this.y = 0;
	this.centerX = 0;
	this.centerY = 0;
	this.setX = function (x, canvas)
	{
		this.x = x - (this.w/canvas.width)/2;
		this.centerX = x;
	};
	this.setY = function (y, canvas)
	{
		this.y = y - (this.h/canvas.height)/2;
		this.centerY = y;
	};
	this.h = 16;
	this.w = 50;
	
	this.s = .008;
	
	this.cx = [ 0 , 0 ];
	this.cy = [ 0 , 0 ];
	this.setCX = function (canvas)
	{
		this.cx = [ this.x , this.x+(this.w/canvas.width) ];
	};
	this.setCY = function (canvas)
	{
		this.cy = [ this.y , this.y+(this.h/canvas.height) ];
	};
	this.setC = function (canvas)
	{
		this.setCX(canvas);
		this.setCY(canvas);
	};
	
	this.left = false;
	this.right = false;
	this.leftKey = null;
	this.rightKey = null;
	
	this.handleKeyDown = function(key)
	{
		if (key == this.leftKey)
		{
			this.right = false;
			this.left = true;
		}
		else if (key == this.rightKey)
		{
			this.left = false;
			this.right = true;
		}
	}
	this.handleKeyUp = function(key)
	{
		if (key == this.leftKey)
		{
			this.left = false;
		}
		else if (key == this.rightKey)
		{
			this.right = false;
		}
	}
	
	this.draw = function(canvas)
	{
		var context = canvas.getContext("2d");
		
		context.rect();
		context.fillStyle = 'white';
		context.fillRect(this.x*canvas.width, this.y*canvas.height, this.w, this.h);	
	};
	
	this.update = function (canvas)
	{
		var width = this.w/canvas.width;
		
		if (this.left)
		{
			if (this.x - this.s >= 0)
			{
				this.setX(this.centerX-this.s, canvas);
			}
			else
			{
				this.setX(0 + width/2, canvas);
			}
		}
		else if (this.right)
		{
			if (this.x+width + this.s <= 1)
			{
				this.setX(this.centerX+this.s, canvas);
			}
			else
			{
				this.setX(1 - width/2, canvas);
			}
		}
		
		this.setC(canvas);
	};
}
//**END Paddle()