function drawStats(){
	//init onload function for stats page
	var players = loadPlayerList();
	players.sort(cmpScore);
	writeTable(players);
}

function cmpScore(a,b){
	//sorts by score in descending order
	return (b.score - a.score);
}


function writeTable(playerArray){
	//writes the player stats to the table
	for (var i = 0; i < playerArray.length; i++){
		var tr = document.createElement("tr");
		
		var td1 = document.createElement("td");
		td1.innerHTML = (playerArray[i].score).toFixed(1);
		tr.appendChild(td1);

		var td2 = document.createElement("td");
		td2.innerHTML = playerArray[i].playerName;
		tr.appendChild(td2);

		var td3 = document.createElement("td");
		td3.innerHTML = playerArray[i].minesFound;
		tr.appendChild(td3);

		var td4 = document.createElement("td");
		td4.innerHTML = playerArray[i].gamesPlayed;
		tr.appendChild(td4);

		var td5 = document.createElement("td");
		td5.innerHTML = playerArray[i].gamesWon;
		tr.appendChild(td5);

		var td6 = document.createElement("td");
		td6.innerHTML = playerArray[i].gamesLeft;
		tr.appendChild(td6);
					
		var bl = document.getElementById("playerlist");
		bl.appendChild(tr);
	}
}
