/*
 * Stores and retrieves items from local storage
 */
function Storage() {
    
	this.loadItem = function(key) {
		var instance = localStorage.getItem(key);
		if (instance) {
    		instance = JSON.parse(instance);
            return instance;
        } else
            return false;
	};
    
	this.loadAll = function() {	
        var instance = null;
        var instances = new Array;

        for (var i=0;i<localStorage.length;i++){
    		instance = localStorage.getItem(localStorage.key(i));
            instances.push(JSON.parse(instance));
        }
        return instances;
	};	
    
	this.saveItem = function(key, instance) {	
        localStorage.setItem(key, JSON.stringify(instance));
	};	
};

