/* The function  storeData
* Assumptions:
*	-A single paramter is passed into the function.
	-That paramater is an object, in all cases of the use fo this function
	that parameter has always been the players boat it self.
*/
function storeData(key) {
	var name = key.nouns[0]; /* must be the key name */
	localStorage.setItem(name, JSON.stringify(key));
	console.log(localStorage[name]);
}

/*	function btnPlay
Assumption: The button " Launch gato " has been pressed.

Expected behaviour : 
	There is an check for an name existing in the html page.
	The button  " Launch gato " is removed
	Calls a function to Places the ship into the ocean's grid "FF" bottom right corner
	Calls a function to activate the arrow console
*/
function btnPlay(){	 
	var isName = isNameSet();
	if(!isName) { 
		alert(" insert name  : low - right side of scrren"); 
		return;
	}
	var buttonById = 
	document.getElementById("playButton");
	buttonById.parentNode.removeChild(buttonById);
	placeShip(PCGato);
	activateConsole();
	return;
}

/* function activateConsole
* Assumed behaviour: 
	 
* Expected behvaiour:
	activates the arrow consol that is beneath the play button
*/
function activateConsole(){
	var consOnArr = new Array();
	consOnArr = ["LU","0U","RU","0L","00","0R","LD","0D","RD"];	
	var assembleIdName;
	var assemFuncNoun;
	for(var i=0; i < consOnArr.length; i++){	
		assembleIdName = "Pic"+consOnArr[i];
		assemFuncNoun = assembleIdName+"active";
		(document.getElementById(assembleIdName)).addEventListener("mouseover", window[assemFuncNoun], false);			
	}
}

/* function ArrPicOnClk
Assumptions:
	-This function is activated when the arrows are clicked.
	Those arrows are not buttons, but images with "onclick" event listeners.
	- The function assumes that the player boat does not exists until the button " launch gato " is pressed.
	- The function recives an paramter that is a "this" from the html tag <img> that has the  event, onclick.
	That imae is the arrow, that the user pressed to cause this function.
Expected behaviour:
	- Acording to quantifcation, if there is no boat, nothing else happens.
	- Gets the player's boat current location
	- Gets the hexidecimal value of the players boat.
	- Calls the function isOnGrid
	That function figures out if the selected direction is on the ocean's grid
	Should the ship try and go outside of , said, grid, and alert message is announced.
	- the function updateGameTurn, is called to increment the game turn
	- the function UpdateHeading, updates the ships expected heading (acording to arrow selected).
	- the function moveShip, moves the ships 
	- the function initMntBogy tells the NPC (non player characters) that they can do their turn
*/
function ArrPicOnClk(item) {
	var PCBoat = getGato();
	if(!(PCBoat)){ 
		return; //no game, no action.
	} 
	
	var PCBoatCurLoc = PCBoat['location'][1];
	
	var hexidecValDir = item.id;
	hexidecValDir = hexidecValDir.substring(hexidecValDir.length-2, hexidecValDir.length);
	
	if(!(isOnGrid(PCBoatCurLoc ,hexidecValDir))){
		alert(" I am sorry SIR! the crew would mutiny, should we try and flee. ");
		return;
	}
 
	updateGameTurn(1);
	
	UpdateHeading(PCBoat, hexidecValDir);
	
	moveShip(PCBoat);
	
	
	
	return;
}

/* The function moveShip
Assumption:
	the paramter ,shipNoun, is the players ship (as an object).
	the function asumes that it is always handeling the player's ship
Expected behviour:
	-The players ship is saved into an variable called capsule.
	Then the players ship is removed from the ocean grid.
	- The the Indexvalue of the target to move to is created
	- the player boats's values that define where it is, are altered in the object (or players boat).
	- the function setGato is used to save the alterations .
	- The ship is placed on the new ocean square
*/
function moveShip(shipNoun){
	var capsule = document.getElementById('mainGato');
	capsule.parentNode.removeChild(capsule);
	
	var PCBoat = shipNoun; //for clarity
	var waterSquare = "Index"+(PCBoat['location'][2]);
	 
	PCBoat['location'][0] = PCBoat['location'][1];
	PCBoat['location'][1] = PCBoat['location'][2];
	 
	setGato(PCBoat);
	
	var whereTo = document.getElementById(waterSquare);
	whereTo.appendChild(capsule);	
	
	return;
}

//expected behaviour:
//	changes Character direction : LU , RU , LD, or 0R,  etc
//  and acording to cases, subtracts from PCBoat['location'}[1]
// thus computing the new spot the ship moved to.
// updates the PCBoat locations and saves
function UpdateHeading(PCBoat, direction) {
	var curLocVal = new Array();
	curLocVal = hexidecToDeci((PCBoat['location'][1])); //Gatos location
	var acceptedValArr = new Array();
	acceptedValArr = ["LU","0U","RU","0L","00","0R","LD","0D","RD"];
	var i;
	var j = 0;
	var dirFromFor;
	for(i =0; i < acceptedValArr.length; i++){
		if(direction == acceptedValArr[i]){
			dirFromFor = i;
			j = (acceptedValArr.length +1);
		}
	}
	if(!(j == (acceptedValArr.length +1))){
		alert("function UpdateCurLocation, is at fault .. recieved a direction that is not accepted in array");
		return;
	}
	/*LU 0U RU,		 0L 00 0R, 	LD 0D, RD*/
	switch(dirFromFor) {
		case 0: //LU
		/* STRING BECOMES NUMERIC VIA -- ++ */
			curLocVal[1] --; //L
			curLocVal[0] --; //U
			break;
		case 1:
			curLocVal[0] --; //U
			break;
		case 2:
			curLocVal[1] ++; //R
			curLocVal[0] --; //U
			break;
		case 3:
			curLocVal[1] --; // L
			break;
		case 4:
			/*no change */
			break;
		case 5:
			curLocVal[1] ++; // R
			break;
		case 6:
			curLocVal[1] --; //L
			curLocVal[0] ++; //D
			break;
		case 7:
			curLocVal[0] ++; //D
			break;
		case 8:
			curLocVal[1] ++; //R
			curLocVal[0] ++; //D
			break;
		default:
			alert("  ! ");
			return;
			break;
	}
	var leftVal = decToHexdec(curLocVal[0]);
	var rightVal = decToHexdec(curLocVal[1]);
	leftVal = leftVal.toString();
	rightVal = rightVal.toString();
	var capsule = leftVal+rightVal;
	 
	PCBoat['location'][2] = capsule;
	PCBoat['direction'][1] = acceptedValArr[dirFromFor];
	setGato(PCBoat);
	return;
}


//asumed: para 1 is string =~ "FF" para 2 is string =~ "LU"
//	curLocation value 2 of 2, is left to right axis, value 1 of 2 is top to down axis. <----!!!!
//expected behaviour, returns true or false, 1 or 0.
function isOnGrid(curLoc, curHeading){
	var newCurLocVal = new Array();
	newCurLocVal = hexidecToDeci(curLoc); //Gatos location
	var acceptedValArr = new Array();
	acceptedValArr = ["LU","0U","RU","0L","00","0R","LD","0D","RD"];
				/*LU 0U RU,		 0L 00 0R, 	LD 0D, RD*/
	var i;
	var j = 0;
	var dirFromFor;
	for(i =0; i < acceptedValArr.length; i++){
		if(curHeading == acceptedValArr[i]){
			dirFromFor = i;
			j = (acceptedValArr.length +1);
		}
	}
	if(!(j == (acceptedValArr.length +1))){
		alert("function isOnGrid, is at fault .. recieved a direction that is not accepted in array");
		return;
	}
	/*LU 0U RU,		 0L 00 0R, 	LD 0D, RD*/
	switch(dirFromFor) {
		case 0: //LU
		/* STRING BECOMES NUMERIC VIA -- ++ */
			newCurLocVal[1] --; //L
			newCurLocVal[0] --; //U
			break;
		case 1:
			newCurLocVal[0] --; //U
			break;
		case 2:
			newCurLocVal[1] ++; //R
			newCurLocVal[0] --; //U
			break;
		case 3:
			newCurLocVal[1] --; // L
			break;
		case 4:
			/*no change */
			break;
		case 5:
			newCurLocVal[1] ++; // R
			break;
		case 6:
			newCurLocVal[1] --; //L
			newCurLocVal[0] ++; //D
			break;
		case 7:
			newCurLocVal[0] ++; //D
			break;
		case 8:
			newCurLocVal[1] ++; //R
			newCurLocVal[0] ++; //D
			break;
		default:
			alert("! ")
			return;
			break;
	}
	
	/* Checks index of 2 decimal numbers. Seeks ranges from 19 to 00 */
	var firstVal = newCurLocVal[0];
	var secVal = newCurLocVal[1];
	if(isBetween1to15(firstVal) && isBetween1to15(secVal)){
		return 1; //yes
	}else{
		return 0; //no
	}
}
//Asumes recieves num or string, returns true or false , 1 or 0
function isBetween1to15(val){
	var loRng = 1;
	var hiRng = 15;
	val = val.toString();
	val = (val-0);
	if((loRng <= val) && (val <= hiRng)){
		return 1; //yes
	}else {
		return 0;
	}	
}


function isNumber(value) {
	return ! isNaN (value-0);
}
function PicLUactive() {
	var requestDirection = 315;
	moveItem(requestDirection);
}
function Pic0Uactive() {
	var requestDirection = 360;
	moveItem(requestDirection);
}
function PicRUactive() {
	var requestDirection = 45;
	moveItem(requestDirection);
}
function Pic0Lactive() {
	var requestDirection = 270;
	moveItem(requestDirection);
}
function Pic00active() {
	return;
}
function Pic0Ractive() {
	var requestDirection = 90;
	moveItem(requestDirection);
}
function PicLDactive() {
	var requestDirection = 225;
	moveItem(requestDirection);
}
function Pic0Dactive() {
	var requestDirection = 180;
	moveItem(requestDirection);
}
function PicRDactive() {
	var requestDirection = 135;
	moveItem(requestDirection);
}
/* Handles arrows and what direction boat should turn */
function moveItem(requestDirection){
	/*alert("the direction requested and recieved was "+requestDirection);*/
	var PCBoat = "Gato";
	var PCBoatId = "mainGato";
	/*This effectivelly anchors the PCBoats css class
	* To only = gatoAxis*/
	var PCBoatClass = "gatoAxis";
	var degrees = 360;
	var PCBoatCurDirection = JSON.parse(localStorage.getItem(PCBoat));
	if(PCBoatCurDirection == null){return;} //prevents use of arrows when game done
	PCBoatCurDirection = PCBoatCurDirection.direction[0];
	
	var dirMath = (requestDirection)-(PCBoatCurDirection);
	/*alert("math result was "+dirMath);*/
	
	flipBoat(requestDirection);
	
	dirMath = LarOrSmaThn180(dirMath, degrees);
	
	if(dirMath == 45){
		var newDir = (PCBoatClass+" GatoAxisRotPos45");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == 90){
		var newDir = (PCBoatClass+" GatoAxisRotPos90");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == 135){
		var newDir = (PCBoatClass+" GatoAxisRotPos135");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == 180){
		var newDir = (PCBoatClass+" GatoAxisRotPos180");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == 225){
		var newDir = (PCBoatClass+" GatoAxisRotPos225");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == 0){
		CpOfPCBoatCurDir = LarOrSmaThn180(PCBoatCurDirection, degrees);
		var newDir = (PCBoatClass+" GatoAxisRotPos"+CpOfPCBoatCurDir);
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == -45){
		var newDir = (PCBoatClass+" GatoAxisRotNeg45");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == -90){
		var newDir = (PCBoatClass+" GatoAxisRotNeg90");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == -135){
		var newDir = (PCBoatClass+" GatoAxisRotNeg135");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == -180){
		var newDir = (PCBoatClass+" GatoAxisRotNeg180");
		(document.getElementById(PCBoatId)).className = newDir;
	}else if (dirMath == -225){
		var newDir = (PCBoatClass+" GatoAxisRotNeg225");
		(document.getElementById(PCBoatId)).className = newDir;
	}else { 
		alert("else case in moveItem function "); 
	}
}

function flipBoat(requestDirection){
	var picStr = ((document.getElementById("mainGatoImg")).src);
	var picStrLen = picStr.length;
	var capsule = picStr.substring(picStrLen-7, picStrLen-4);
	
	if( ( requestDirection <= 315 ) && (  requestDirection >= 180  ) ) {
		(document.getElementById("mainGatoImg")).src 
		= "img/Gato/GatoLeftUp44by44.gif";
	} else {
		(document.getElementById("mainGatoImg")).src 
		= "img/Gato/GatoLeftUp44by44Inv.gif";
	}
	return;
}


function LarOrSmaThn180(dirMath, degrees){
	if(( dirMath > 180) || (dirMath < -180)) {
		/*alert("yyeeahhss? Math exceeded dirMath > 180 or dirMath < -180 ");	*/
		if( dirMath >  180)  {  
			dirMath = (dirMath)+(-degrees);
		} else if (dirMath < -180)  { 
			dirMath = (dirMath)+ ( degrees);
		} else { 
			alert("Within function LarOrSmaThn180, math is wrong"); 
		}
		/*alert("dir math changed to " + dirMath); */
	} 
	return dirMath;
}


//assumption: recieves an hexidecimal value,  array of.
//expected behaviour: returns an array.
function hexidecToDeci(hexideVal){
	arrHexidec = new Array(15);
	arrHexidec = ['1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'];
	arrDec = ['1','2','3','4','5','6','7','8','9',"10","11","12","13","14","15"];
	var transalted = new Array(2);
	for(var i = 0; i < hexideVal.length; i++){
		for(var j = 0; j < arrHexidec.length; j++){
			if(hexideVal[i] == arrHexidec[j]){
				transalted[i] = arrDec[j];
				j = arrHexidec.length;
			}
		}
	}
	return transalted;
}


//Assumes: recives an decimal value, singular
//expected behaviour: returns an hexidecimal value, singular.
function decToHexdec(decVal){
	arrHexidec = new Array(15);
	arrHexidec = ['1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'];
	return arrHexidec[(decVal-1)];
}


function isHexidecimal(value) {
	var bool = 0; //false
	var acceptedVal = new Array();
	acceptedVal = ['0','1','2','3','4','5','6','7','8','9','A','B','C','D','E','F'];
	var valuesLength= (value.toString()).length; 
	var valString = value.toString();
	for(var i = 0; i < valuesLength; i++){
		for(var j = 0; j < acceptedVal.length; j++){
			if((valString[i]) == acceptedVal[j])
			{
				bool = 1; //true
				j = acceptedVal.length;
			}
		}
		if(i == ((valuesLength)+(-1))){ 
			if(bool == 0){
				return 0;  //false
			}else {
				return 1; //true
			}
		}
		else if (bool == 0){
			return 0; //false
		} else { //reset for round i + 1;
			bool = 0;  //true
		}
	}
	return bool;
}