/*Assumptions:
* 	This getData funciton is called, only, when the html page "instrucitonsAndScore.html"
* 	
*/
function getData(){
	var key = "GatoInfo";
	var name = "GatoGameInfo";
	var memCapsule = JSON.parse(localStorage.getItem(name));
	fillScrBrd(memCapsule);
	return;
}

 /* the function function fillScrBrd
assumptions :
expected behaviour:
	writes the score board into the html page instructionsAndScores.html
*/
function fillScrBrd(memCapsule){
	var capsule = memCapsule; //for clarity
	var getBoard = document.getElementById("scoreBoardId");
	var prntOfGtBrd = getBoard.parentNode;
	getBoard.parentNode.removeChild(getBoard);
	var howMnyInScrBrd = getBoard.childElementCount;
	
	var capsLen;
	if(capsule == null){
		capsLen = 0;
	}else{
		capsLen = capsule.length;
	}
	 
	/* logic error : this case always happens 
	the if case can be skipped..
	*/
	
	
	
	if(howMnyInScrBrd == 0){
		for(var i = 0; i < capsLen; i++){
			var tr = document.createElement("tr");
			var td1 = document.createElement("td");
			td1.innerText = "#"+(i+1)+":";
			
			var td2 = document.createElement("td");
			td2.innerText = ""+capsule[i].plyName;
			
			var td3 = document.createElement("td");
			td3.innerText = " trahed "+capsule[i].convTrashed+" and ";
			var td4 = document.createElement("td");
			td4.innerText = " failed to intercept "+capsule[i].convPass+" convoys ";
			var td5 = document.createElement("td");
			td5.innerText = " in "+capsule[i].turns+" turns.";
			
			td1.className = "scoreTDClass";
			td2.className =  "scoreTDClass";
			td3.className =  "scoreTDClass";
			td4.className =  "scoreTDClass";
			td5.className = "scoreTDClass";
			
			tr.appendChild(td1);
			tr.appendChild(td2);
			tr.appendChild(td3);
			tr.appendChild(td4);
			tr.appendChild(td4);
			tr.appendChild(td5);
			getBoard.appendChild(tr);
			prntOfGtBrd.appendChild(getBoard);
		
		}
	}
}

/*  Function whereNextInIndex : 
* Assumtions: 
	recives an onject that has a inner objects,
. Thise iner objects are indexed by the values 0,1,2,3, . . . . n 

Expected behaviour:
	To figure out what index value is available in the object's index
	Does not check if the integrity of the recived object,
thus if an index is a character (not number) . . . etc.
*/
function whereNextInIndex(capsuleArr) {
	var loopMaxVal = 3330;
	var capsuleIndxVal = 0;
	var isDefined = "true";
	var retVal;
	
	do{
		if(capsuleArr[capsuleIndxVal] == null 
			|| capsuleArr[capsuleIndxVal]  == undefined)
		{
			retVal = capsuleIndxVal;
			isDefined = "false";
		}
		if((capsuleIndxVal-0) > loopMaxVal){
			retVal = 0;
			isDefined = "false";
		}
	}while(isDefined == "true");
	return retVal;
}

/*
* assumption: 
	recieves an array, that contains objects
	that there is an capsule[i].plyName in the array
expected behaviour:
	returns 1 if the player name is found
	returns a 0 if the palyer is no found
*/
function playerIsInArr(plyVal, capsule){
	for(var i = 0; i < capsule.length; i++){
		if(plyVal == capsule[i].plyName){
			return 1; //yess
		}
	}
	return 0;//no
}

/*
* assumed behaviour : 
	that the palyer is most definitlly int he array
Expected behaviour :
	the players arrayindex is returned
**/
function wheIsPlyInArr(plyVal, capsule){
	for(var i = 0; i < capsule.length; i++){
		if(plyVal == capsule[i].plyName){
			return i; //yess
		}
	}
}

/* Function saveInformation
assumption:
expected behaviour: 
	gathers data about the game and strored in local memory.
	data stored is loaded into new page that is called instructionsAndScore.html
	
Comments : the purpose of saving the data into memmory 
is to load it back outof memmory on the newlly opened page.
It was a design desicion to place the score board on an alterante page
due to space issues
*/
function saveInformation(key, name) {
	var mem = JSON.parse(localStorage.getItem(name));
	var capsule = new Array();
	capsule = mem;
	
	if(mem != null){ // location null means boat is no more,		
		var plyVal = getPlayerName();
		var turnsVal = getGameTurn("number");
		var convTraVal = getConvoyTrashed("number");
		var convPasVal = getConvPass("number");
		
		var obj = { "turns" : turnsVal,  "convPass" : convPasVal,  "convTrashed" : convTraVal, "plyName" : plyVal };
		
		if(playerIsInArr(plyVal, capsule)){
			var whereIsPlyInArr = wheIsPlyInArr(plyVal, capsule);
			capsule[whereIsPlyInArr] = obj;
		}else{			
			capsule.push(obj);
			//	capsule[whrNxtInIndx] = {  turnsVal,  convPasVal,  convTraVal,  plyVal  };
		}
		/*				keyName			key */
		localStorage.setItem(name, JSON.stringify(capsule));
		 
	}else if (mem == null){		  
		 var capsule = new Array();
		var plyVal = getPlayerName();
		var turnsVal = getGameTurn("number");
		var convTraVal = getConvoyTrashed("number");
		var convPasVal = getConvPass("number");
		
		 
		var obj = { "turns" : turnsVal,  "convPass" : convPasVal,  "convTrashed" : convTraVal, "plyName" : plyVal };
		capsule.push(obj);
		
		localStorage.setItem(name, JSON.stringify(capsule)); 
		 
	}		
	console.log(localStorage[name]);
}

/*  the function setEndGame
* Assumptions:
	-Assumes that the game is closing.
	- the following locations have the call to this funciton.
	java script  file : boggey.js 's function initMntBogy(), and the funciton
	java script file : javaScriptFileMunitions.js 's function checkMunitions()  "if(PCBoat["ammo"][2] == 0){ . . . "
	java script file : boggey,js function setConvoyTrashed() when convoys are all trashed
*/
function setEndGame(){
	//reset console here
	if(localStorage["Gato"]) { 		 
		localStorage.removeItem('Gato');		
	}
	var key = "GatoInfo";
	var name = "GatoGameInfo";
	var target = document.getElementById("mainGato");
	target.parentNode.removeChild(target);
	saveInformation(key, name);
	alert(" please check out the lower part of the  isntrucitons page for the scores ");

	return;
}

function ReloadPage(){
	//<form><input type=button value="Refresh" onClick="window.location.reload()"></form> 
	if (confirm('Are you sure you want to reset the game?')) {
		window.location.reload();
	} else {
   
	}
}

//simply cehcks if the player wrote her or his name
function isNameSet(){
	if(getPlayerName() == ""){
		return 0;
	}
	return 1;
}

/*function getPlayerName
* assumptions : that it is handeling a string, a non empty string
expected behaviour:
	-gets the name that is written in the html element taged as "PlayerName"
	then the 1st letter is made upper case, and the rest of the name is made lower case.
	-returns the newlly alltered name.
*/
function getPlayerName(){
	var playerName = document.getElementById("PlayerName").value;
	if(playerName != ""){
		var PNLenght = playerName.length;
		playerName = playerName[0].toUpperCase() + (playerName.substring(1, PNLenght)).toLowerCase();
	}
	return playerName;
}

//simply recieves an value that is placed in the name box.
// i am 99% sure that i did not use this function.
function setPlayerName(val){
	document.getElementById("PlayerName").value = val;
}
