
function sleep(milliseconds) {
  var start = new Date().getTime();
  for (var i = 0; i < 1e7; i++) {
    if ((new Date().getTime() - start) > milliseconds) {
      break;
    }
  }
}

window.onload = function () {

   var dataStorageUnit = new dataStorage();
   dataStorageUnit.load();

   //dataStorageUnit.clear();   

   var game = new Game(dataStorageUnit);
   game.init();
   
   var login = document.getElementById("submit");
   login.addEventListener('click', function () {
      game.updatePlayerNames();
   });
   var reset = document.getElementById("reset");
   reset.addEventListener('click', function () {
      game.reset();
   });
   var playerLadder = document.getElementById("showLadder");
   playerLadder.addEventListener('click', function () {
      dataStorageUnit.switchDisplay();
   });
   var gameRules = document.getElementById("showRules");
   gameRules.addEventListener('click', function () {
        window.open('../html/RulesofPlay.html', '_blank');
        window.focus();
   });
   
   
}
